Bug 1573766 - [abrt] nautilus: stop_cache_selection_list(): nautilus killed by SIGSEGV
Summary: [abrt] nautilus: stop_cache_selection_list(): nautilus killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:46a9a4457b337681dc1c7dc06a2...
: 1588021 1631841 1635107 1641251 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 08:40 UTC by babazadearash
Modified: 2019-05-28 23:36 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:36:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (84.60 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: core_backtrace (25.08 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: cpuinfo (1.26 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: dso_list (12.16 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: environ (1.63 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: maps (63.18 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: mountinfo (4.34 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: open_fds (6.59 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-02 08:40 UTC, babazadearash
no flags Details
File: var_log_messages (649 bytes, text/plain)
2018-05-02 08:41 UTC, babazadearash
no flags Details

Description babazadearash 2018-05-02 08:40:29 UTC
Description of problem:
drag and drop moving files

Version-Release number of selected component:
nautilus-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=14ad795fe4a1434a8cf6d63b2e74441b;i=18176;b=b0c6e5844e424e068c24ebf151984d37;m=16ccf1b0a;t=56b34e5157c13;x=fa87e411deec5ab2
kernel:         4.16.5-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 stop_cache_selection_list at ../src/nautilus-canvas-dnd.c:383
 #1 nautilus_canvas_container_receive_dropped_icons at ../src/nautilus-canvas-dnd.c:1072
 #2 drag_data_received_callback at ../src/nautilus-canvas-dnd.c:1681
 #3 _gtk_marshal_VOID__OBJECT_INT_INT_BOXED_UINT_UINT at gtkmarshalers.c:5470
 #7 g_signal_emit_by_name at gsignal.c:3487
 #8 gtk_drag_selection_received at gtkdnd.c:1180
 #12 g_signal_emit_by_name at gsignal.c:3487
 #13 gtk_selection_retrieval_report at gtkselection.c:3047
 #14 gtk_selection_convert at gtkselection.c:1159
 #15 gtk_drag_get_data at gtkdnd.c:900

Potential duplicate: bug 1464586

Comment 1 babazadearash 2018-05-02 08:40:37 UTC
Created attachment 1429784 [details]
File: backtrace

Comment 2 babazadearash 2018-05-02 08:40:39 UTC
Created attachment 1429785 [details]
File: cgroup

Comment 3 babazadearash 2018-05-02 08:40:41 UTC
Created attachment 1429786 [details]
File: core_backtrace

Comment 4 babazadearash 2018-05-02 08:40:43 UTC
Created attachment 1429787 [details]
File: cpuinfo

Comment 5 babazadearash 2018-05-02 08:40:45 UTC
Created attachment 1429788 [details]
File: dso_list

Comment 6 babazadearash 2018-05-02 08:40:47 UTC
Created attachment 1429789 [details]
File: environ

Comment 7 babazadearash 2018-05-02 08:40:49 UTC
Created attachment 1429790 [details]
File: exploitable

Comment 8 babazadearash 2018-05-02 08:40:50 UTC
Created attachment 1429791 [details]
File: limits

Comment 9 babazadearash 2018-05-02 08:40:53 UTC
Created attachment 1429792 [details]
File: maps

Comment 10 babazadearash 2018-05-02 08:40:55 UTC
Created attachment 1429793 [details]
File: mountinfo

Comment 11 babazadearash 2018-05-02 08:40:57 UTC
Created attachment 1429794 [details]
File: open_fds

Comment 12 babazadearash 2018-05-02 08:40:59 UTC
Created attachment 1429795 [details]
File: proc_pid_status

Comment 13 babazadearash 2018-05-02 08:41:00 UTC
Created attachment 1429796 [details]
File: var_log_messages

Comment 14 Granata Giovanni 2018-06-06 13:30:10 UTC
*** Bug 1588021 has been marked as a duplicate of this bug. ***

Comment 15 Basem Taha 2018-09-19 11:25:31 UTC
Similar problem has been detected:

i was having some pdf files in my Downloads folder
created a new folder to put those files in
i have made cut/paste for most of them
and the problem occured when i tried to select them and transfer them using drag/drop.

reporter:       libreport-2.9.4
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=a2726d0d4702448c93d3028782fbbe87;i=cef7;b=0031517194af4fc3bee65c32ee4af3a9;m=3906b1780;t=5763786406474;x=197f37054dbc20f8
kernel:         4.16.3-301.fc28.x86_64
package:        nautilus-3.28.1-1.fc28
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Richard Ruhland 2018-09-21 16:44:20 UTC
*** Bug 1631841 has been marked as a duplicate of this bug. ***

Comment 17 Bobby Rong 2018-10-02 06:50:34 UTC
*** Bug 1635107 has been marked as a duplicate of this bug. ***

Comment 18 Mario 2018-10-11 21:44:08 UTC
Similar problem has been detected:

- Movi un archivo con el mouse hacia una carpeta y no se movio
- Para poder realizar la operación corte el archivo ingrese a la carpeta y lo pegue
- Luego de hecho esto aparecio el error

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=19f8bc8b27724c6fb4cdf2b07c5004db;i=2eb6c;b=076b712b1c9e4a85804bf68b1a9aa321;m=15f59acdf;t=577fab5bf0d17;x=f73e8324116dd786
kernel:         4.18.12-200.fc28.x86_64
package:        nautilus-3.28.1-1.fc28
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 Alexander Scheel 2018-10-20 13:33:12 UTC
*** Bug 1641251 has been marked as a duplicate of this bug. ***

Comment 20 monkeyark 2018-10-26 19:08:32 UTC
Similar problem has been detected:

I was drop files between two nautilus file managers

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=cd2adc42e6fb48699fb44518913c2ff4;i=b95ca;b=b9c44ed9b20a4f23b27d2c68941e8632;m=adf238be0;t=579265c41968f;x=daf0ef07c47043c
kernel:         4.18.16-200.fc28.x86_64
package:        nautilus-3.28.1-1.fc28
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Jean-Loup Tastet 2018-11-05 13:02:08 UTC
Similar problem has been detected:

I do not know what caused the problem, however I noticed some unusual behaviour before the crash.

When trying to drag-n-drop a folder into another folder, nothing would happen when dropping the folder.
It would not get moved, the "New bookmark" item would still be displayed, etc...
So I closed Nautilus and restarted it several times, but every time the same behaviour would happen.
Then Nautilus crashed. The issue was not present anymore after the crash.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=f47d20cd396f4a94a5497fbaa5cd0087;i=9a305;b=a1025ec238934ec08a04b0c1ea6673c1;m=25ae44af3;t=579ea64b2c1ea;x=44fb95e466abdc6c
kernel:         4.18.16-200.fc28.x86_64
package:        nautilus-3.28.1-1.fc28
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Jean-Loup Tastet 2019-01-25 21:20:41 UTC
Similar problem has been detected:

Shortly before the crash, I tried to drag-n-drop multiple PDF files to a newly created folder, but the drag-n-drop had no effect and apparently left nautilus in an unexpected state (both the files and the folder were selected, the folder icon was "open").
I then killed nautilus with Ctrl+q and opened it again to return to a working state.
I will see if I can reproduce this issue.

reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: stop_cache_selection_list
executable:     /usr/bin/nautilus
journald_cursor: s=f47d20cd396f4a94a5497fbaa5cd0087;i=29f6a1;b=6fdbf063efbf49efb1711e0b984a9644;m=10c10dbd22;t=5804ec160e92b;x=c5d36cd596d92ecf
kernel:         4.19.15-200.fc28.x86_64
package:        nautilus-3.28.1-1.fc28
reason:         nautilus killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Ben Cotton 2019-05-02 19:57:51 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Ben Cotton 2019-05-28 23:36:58 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.